import { Module } from '@nestjs/common';
import { DeviceService } from './device.service';
import { DeviceRouter } from './device.router';
import { TrpcService } from '@server/trpc/trpc.service';
import { DepartmentModule } from '../department/department.module';
import { DeviceController } from './device.controller';

@Module({
  imports: [DepartmentModule],
  providers: [DeviceService, DeviceRouter, TrpcService],
  exports: [DeviceService, DeviceRouter],
  controllers: [DeviceController],
})
export class DeviceModule {}
