import { Modal, Button } from "antd";
import React from "react";
interface DescriptionModalProps {
  visible: boolean;
  title: string;
  description: string;
  onClose: () => void;
}

const DescriptionModal: React.FC<DescriptionModalProps> = ({
  visible,
  title,
  description,
  onClose,
}) => {
  return (
    <Modal
      title={title}
      open={visible}
      onCancel={onClose}
      footer={[
        <Button key="close" onClick={onClose}>
          关闭
        </Button>,
      ]}
    >
      <div className="py-4">
        <div className="text-lg font-medium mb-2">故障详情</div>
        <div className="bg-gray-50 p-4 rounded-md whitespace-pre-wrap">
          {description}
        </div>
      </div>
    </Modal>
  );
};

export default DescriptionModal;
