import { Button, Modal } from "antd";
import { ExclamationCircleOutlined } from "@ant-design/icons";
import toast from "react-hot-toast";
import React from "react";
interface DeviceActionsProps {
  record: any;
  onEdit: (record: any) => void;
  onDelete: (id: string) => void;
}

const DeviceActions: React.FC<DeviceActionsProps> = ({ 
  record, 
  onEdit, 
  onDelete 
}) => {
  const handleDelete = () => {
    Modal.confirm({
      title: "确认删除",
      icon: <ExclamationCircleOutlined />,
      content: `确定要删除故障 "${record.showname || "未命名故障"}" 吗？`,
      okText: "删除",
      okType: "danger",
      cancelText: "取消",
      onOk() {
        onDelete(record.id);
      },
    });
  };

  return (
    <div className="flex space-x-2 justify-center">
      <Button
        type="primary"
        onClick={() => onEdit(record)}
      >
        编辑
      </Button>
      <Button danger onClick={handleDelete}>
        删除
      </Button>
    </div>
  );
};

export default DeviceActions;