import { Layout } from "antd";
import { Outlet } from "react-router-dom";
import { MainHeader } from "./MainHeader";
import { MainFooter } from "./MainFooter";
import { MainProvider } from "./MainProvider";
import NavigationMenu from "./NavigationMenu";

const { Content } = Layout;

export function MainLayout() {
  return (
    <MainProvider>
      <div className="min-h-screen bg-gray-100">
        <MainHeader />
        <div className="flex pt-16">
          <NavigationMenu />
          <Content className="flex-grow bg-gray-50">
            <Outlet />
          </Content>
        </div>
        <MainFooter />
      </div>
    </MainProvider>
  );
}
