import { getQueryKey } from "@trpc/react-query";
import { api } from "../api/trpc"; // 修复导入路径
import { useQueryClient } from "@tanstack/react-query";
import { ObjectType } from "@nice/common";
import { CrudOperation, emitDataChange } from "../event"; // 修复导入路径
export function useDevice() {
  const queryClient = useQueryClient();
  const queryKey = getQueryKey(api.device);

  const create = api.device.create.useMutation({
    onSuccess: (result) => {
      queryClient.invalidateQueries({ queryKey });
      emitDataChange(ObjectType.DEVICE, result as any, CrudOperation.CREATED);
    },
  });
  const update = api.device.update.useMutation({
    onSuccess: (result) => {
      queryClient.invalidateQueries({ queryKey });
      emitDataChange(ObjectType.DEVICE, result as any, CrudOperation.UPDATED);
    },
  });
  const softDeleteByIds = api.device.softDeleteByIds.useMutation({
    onSuccess: (result, variables) => {
      queryClient.invalidateQueries({ queryKey });
    },
  });
  return {
    create,
    update,
    softDeleteByIds,
  };
}
